%define anolis_release 1
%bcond_with check

Name:      perl-File-Touch
Summary:   Update access, modification timestamps, creating nonexistent files
Version:   0.12
Release:   %{anolis_release}%{?dist}
License:   GPL+ or Artistic
URL:       https://metacpan.org/release/File-Touch
BuildArch: noarch
Source:    https://cpan.metacpan.org/authors/id/N/NE/NEILB/File-Touch-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Time::HiRes) >= 1.9764
# Tests
%if %{with check}
BuildRequires:  perl(Test::More)
%endif
Requires:  perl(Time::HiRes) >= 1.9764

%description
The following Perl module allows you to update access and modification
timestamps, creating nonexistent files where necessary.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n File-Touch-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%if %{with check}
%check
make test
%endif

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 0.12-1
- init package from upstream
